OSDN Git Service

trunk整理
[ultramonkey-l7/ultramonkey-l7-v3.git] / test / script / library-parameter / parameter-58.sh
diff --git a/test/script/library-parameter/parameter-58.sh b/test/script/library-parameter/parameter-58.sh
new file mode 100755 (executable)
index 0000000..515aebf
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# set config file
+cp materials/parameter-58-l7vs.cf ${L7VSD_CONF_DIR}/l7vs.cf
+
+#Add Service
+$L7VSD
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSD"
+        exit 1
+fi
+
+RET=`$L7VSADM -V | awk '/Replication Mode:/ { getline; print $0 }'`
+if [ $? -ne 0 ]
+then
+        echo "Test failed: $L7VSADM -V"
+        exit 1
+fi
+
+EXPECT="SINGLE"
+
+if [ "${RET}" != "${EXPECT}" ]
+then
+        echo "Test failed: $L7VSADM -V"
+        exit 1
+fi
+
+exit 0
+